6.0.0-git
2018-12-15

[#11785] RTL bugs in horde
Summary RTL bugs in horde
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Stalled
Priority 1. Low
Owners
Requester esr+hord-bugs (at) g (dot) jct (dot) ac (dot) il
Created 2012-11-29 (2207 days ago)
Due
Updated 2013-01-15 (2160 days ago)
Assigned 2012-11-30 (2206 days ago)
Resolved 2013-01-15 (2160 days ago)
Milestone
Patch No

History
2013-01-15 18:10:56 Jan Schneider State ⇒ Stalled
 
2012-11-30 16:11:53 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 7c38874fa4c93972035a7d07bdbf3f88312903c5
Author: Jan Schneider <jan@horde.org>
Date:   Fri Nov 30 16:28:57 2012 +0100

     Set a few styles dependent on RTL (Bug #11785).

  horde/lib/View/Sidebar.php               |    2 +
  horde/templates/sidebar/sidebar.html.php |    2 +-
  horde/themes/default/rtl.css             |  122 
+++++++++++++-----------------
  horde/themes/default/screen.css          |    5 -
  kronolith/templates/dynamic/index.inc    |    2 +-
  5 files changed, 57 insertions(+), 76 deletions(-)

http://git.horde.org/horde-git/-/commit/7c38874fa4c93972035a7d07bdbf3f88312903c5
2012-11-30 15:31:47 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment

[Show Quoted Text - 13 lines]
Fixed, though this doesn't change the layout of course. There's much 
more to do.
/usr/share/horde4/kronolith/templates/fbview/busyblock.html:<td><div 
class="kronolithFBBusy" style="left:<tag:left />;width:<tag:width 
/>;">&nbsp;</div></td>
/usr/share/horde4/kronolith/templates/fbview/meetingblock.html:<td><div 
class="kronolithFBFree" style="left:<tag:left />;width:<tag:width 
/>;">&nbsp;</div></td>
I left those out, because this also requires the fb table to be 
rendered RTL. Or is it?

[Show Quoted Text - 11 lines]
Fixed. RTL specific changes go to rtl.css. Please note that I already 
updated it a bit, so make sure you work against a Git version of Horde.
2012-11-29 17:58:21 esr+hord-bugs (at) g (dot) jct (dot) ac (dot) il Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ RTL bugs in horde
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
When viewing horde in RTL mode (hebrew/arabic) the layout breaks 
terribly, I jave started identifying some problems but since I am not 
familiar with the framework I don't necisarrily know how to solve them.

One problem is some inline stile that assumes LTR languages:
# grep -R 'style="left:' /usr/share/horde4/
/usr/share/horde4/templates/sidebar/sidebar.html.php:<div 
id="horde-slideleft" class="horde-splitbar-vert" style="left:<?php 
echo $this->width ?>px">
/usr/share/horde4/kronolith/templates/dynamic/index.inc:<div 
id="horde-page" style="left:<?php echo 
$prefs->getValue('sidebar_width') ?>px">
/usr/share/horde4/kronolith/templates/fbview/busyblock.html:<td><div 
class="kronolithFBBusy" style="left:<tag:left />;width:<tag:width 
/>;">&nbsp;</div></td>
/usr/share/horde4/kronolith/templates/fbview/meetingblock.html:<td><div 
class="kronolithFBFree" style="left:<tag:left />;width:<tag:width 
/>;">&nbsp;</div></td>

In the above examples a direction check should have been done and in 
the case of RTL they should have read:
style="right:<?php echo $this->width ?>px"

I realize some of these are part of the kronolith project and not 
horde at large, if you so prefer I will open a seperate bug for them.

In screen.css there are also several parameters that should be 
direction dependent, I still need to sit down longer to identify them 
all but as a start:
#horde-page has a padding that should be direction dependent.

Saved Queries